Bug 109262 - Up2date windows are not refreshed during checking dependencies
Up2date windows are not refreshed during checking dependencies
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 120092
  Show dependency treegraph
 
Reported: 2003-11-06 02:45 EST by Chris Williams
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 15:18:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Williams 2003-11-06 02:45:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031014

Description of problem:
I'm using this version of up2date to update my Fedora Test 3 install
to Fedora 1.

When checking dependencies (a lengthy process) the process dialog
window is not refreshed.

Ideally the window should show some kind of progress bar or animation
hinting that something is going on in the background - at the moment
it looks like the program has stalled.

Version-Release number of selected component (if applicable):
up2date-4.1.16-1

How reproducible:
Always

Steps to Reproduce:
1. Select a large number of packages to update
2. Update
    

Actual Results:  Window is no longer refreshed

Expected Results:  Some kind of progress bar.

Additional info:
Comment 1 Chris Williams 2003-11-06 02:59:49 EST
The program did actually stall......
This shouldn't really happen either, I guess ;-)

Comment 2 chip piller 2003-11-13 11:27:10 EST
I'm running Fedora Core 1 on several i386 systems with
up2date-4.1.16-1.  I've also noticed that the up2date gui screen goes
blank for long periods of time, the gui is not refreshing or
redrawing.  Right now I'm looking at a blank, non responding,
non-refreshing up2date gui screen with "Up2date - Package
Installation" in the title bar.
Comment 3 James Smith 2003-12-24 22:10:43 EST
I'm using an AMD K6-III 450 and because of the speed of my box was
convinced it froze on me too.
Comment 4 John Leach 2004-11-09 05:23:32 EST
I've noticed a number of tasks during which up2date doesn't refresh,
but the worst offender, in my view, is whilst testing dependencies. 
I'm never sure if it's hung or not.

version: up2date-4.3.47-5
Comment 5 Matthew Miller 2006-07-11 13:47:04 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 6 John Thacker 2006-10-28 15:18:29 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.

Note that up2date is not present in FC5 or FC6, the only current non-Legacy
Fedora Core releases.  However, related bugs may occur in yum, pirut, or other
updating mechanisms.

Note You need to log in before you can comment on or make changes to this bug.